# Everything you need to know about configuring the CMS can be found here:
# https://www.netlifycms.org/docs/configuration-options/

backend:
  name: github # Netlify’s Git Gateway connects to Git provider’s API
  repo: incub8space/website
  branch: master # Branch to update (master by default)
  base_url: https://auth-cms.incub8.space/
  #display_url: https://mgo44w8c00kg0g0csw0goko4.incub8.space/
# when using the default proxy server port

media_folder: "assets/uploads" # Folder where user-uploaded files should go

# publish_mode: editorial_workflow # Enable drafts

collections: # A list of collections the CMS should be able to edit
  # Products
  - name: "Products"
    label: "Products"
    folder: "_products"
    sort: "sort_order:asc"
    create: true
    slug: "{{year}}-{{month}}-{{day}}-{{fields.slug}}"
    fields:
      - label: "Layout"
        name: "layout"
        widget: "hidden"
        default: "product"
      - label: "Name"
        name: "name"
        widget: "string"
        required: true
      - label: "Category"
        name: "category"
        widget: "string"
        required: true
      - label: "Slug"
        name: "slug"
        widget: "string"
        required: true
        default: "product-"
      - label: "Description"
        name: "description"
        widget: "string"
        required: true
      - label: "Sort Order"
        name: "sort_order"
        widget: "number"
        required: false
        hint: "Set a number for custom sorting; lower numbers will appear first."
      - label: "URL"
        name: "cta_url"
        widget: "string"
        required: false
      - label: "Price"
        name: "price"
        widget: "string"
        required: false
      - label: "Image"
        name: "image"
        widget: "image"
        required: false
      - label: "In Fuel Section"
        name: "in_fuel_section"
        widget: "boolean"
        required: false
        default: false

  - name: "Campaigns"
    label: "Campaigns"
    folder: "_campaigns"
    sort: "title:asc"
    create: true
    slug: "{{slug}}"
    fields:
      - label: "Layout"
        name: "layout"
        widget: "hidden"
        default: "campaign"

      - label: "Title"
        name: "title"
        widget: "string"

      - label: "Slug"
        name: "slug"
        widget: "string"

      - label: "Permalink"
        name: "permalink"
        widget: "string"
        default: "/campaigns/campaign-url"

      - label: Hidden
        name: hidden
        widget: boolean
        default: false

      - label: "Hero"
        name: "hero"
        widget: "object"
        fields:
          - label: "Title"
            name: "title"
            widget: "string"
          - label: "Description"
            name: "description"
            widget: "text"
          - label: "Image"
            name: "image"
            widget: "image"
            default: "/assets/uploads/elevate-your-business-hero-min.png"
          - label: "Button"
            name: "button"
            widget: "object"
            fields:
              - label: "Button Label"
                name: "label"
                widget: "string"
              - label: "Hint"
                name: "hint"
                widget: "string"
              - label: "URL"
                name: "url"
                widget: "string"
                default: "#signup"

      - label: "Headline"
        name: "headline"
        widget: "object"
        fields:
          - label: "Headline Title"
            name: "title"
            widget: "text"

      - label: "Welcome"
        name: "welcome"
        widget: "object"
        fields:
          - label: "Welcome Title"
            name: "title"
            widget: "string"
          - label: "Content"
            name: "content"
            widget: "markdown"
      - label: "Call to Action"
        name: "call-to-action"
        widget: "object"
        fields:
          - label: "Title"
            name: "title"
            widget: "string"
          - label: "Caption"
            name: "caption"
            widget: "string"
          - label: "Button"
            name: "button"
            widget: "object"
            fields:
              - label: "Label"
                name: "label"
                widget: "string"
              - label: "URL"
                name: "url"
                widget: "string"

      - label: "Images"
        name: "images"
        widget: "list"
        fields:
          - label: "Image URL"
            name: "url"
            widget: "image"
          - label: "Title"
            name: "title"
            widget: "string"
          - label: "Label"
            name: "label"
            widget: "text"
      - label: "Main Content"
        name: "body"
        widget: "markdown"

      - label: "Signup"
        name: "signup"
        widget: "object"
        fields:
          - label: "Call to Action"
            name: "call-to-action"
            widget: "object"
            fields:
              - label: "Title"
                name: "title"
                widget: "string"
              - label: "Caption"
                name: "caption"
                widget: "string"
              - label: "Button"
                name: "button"
                widget: "object"
                fields:
                  - label: "Label"
                    name: "label"
                    widget: "string"
                  - label: "URL"
                    name: "url"
                    widget: "string"

          - label: "Form"
            name: "form"
            widget: "object"
            fields:
              - label: "ID"
                name: "id"
                widget: "string"
                required: true
              - label: "Name"
                name: "name"
                widget: "string"
                required: true
              - label: "Data Name"
                name: "data_name"
                widget: "string"
                required: true
              - label: "Form Fields"
                name: "form_fields"
                widget: "list"
                fields:
                  - label: "Placeholder"
                    name: "placeholder"
                    widget: "string"
                    required: false
                  - label: "Type"
                    name: "type"
                    widget: "string"
                    default: "text"
                    required: false
                  - label: "Name"
                    name: "name"
                    widget: "string"
                    required: true
                  - label: "ID"
                    name: "id"
                    widget: "string"
                    required: true
                  - label: "Required"
                    name: "required"
                    widget: "boolean"
                    default: true
                  - label: "Options"
                    required: false
                    hint: "For select type forms only"
                    name: "options"
                    widget: "list"
                    fields:
                      - label: "Text"
                        name: "text"
                        widget: "string"
                      - label: "Value"
                        name: "value"
                        widget: "string"

  - name: "Campaigns Alt"
    label: "Campaigns Alt"
    folder: "_campaigns"
    create: true
    slug: "{{slug}}"
    fields:
      - label: "Layout"
        name: "layout"
        widget: "hidden"
        default: "campaign-alt"
      - label: "Title"
        name: "title"
        widget: "string"
      - label: "Slug"
        name: "slug"
        widget: "string"
      - label: "Permalink"
        name: "permalink"
        widget: "string"
      - label: meta
        name: meta
        widget: object
        fields:
          - label: "Title"
            name: title
            widget: string
          - label: "Description"
            name: description
            widget: string
          - label: "Image"
            name: image
            widget: image
      - label: "Promo Header"
        name: "promo_header"
        widget: "object"
        fields:
          - label: "Offer"
            name: "offer"
            widget: "object"
            fields:
              - label: "Offer Title"
                name: "title"
                widget: "string"
              - label: "Offer Description"
                name: "description"
                widget: "string"
          - label: "Countdown"
            name: "countdown"
            widget: "object"
            fields:
              - label: "Countdown End Date"
                name: "end_date"
                widget: "datetime"
                format: "YYYY-MM-DD"
              - label: "CTA"
                name: "cta"
                widget: "object"
                fields:
                  - label: "Label"
                    name: "label"
                    widget: "string"
                  - label: "Link"
                    name: "link"
                    widget: "string"
      - label: "Campaign Form"
        name: "form"
        widget: "object"
        fields:
          - label: "Form Name"
            name: "name"
            widget: "string"
            default: "Campaign Form"
          - label: "Action"
            name: "action"
            widget: "string"
            default: "/success"
          - label: "Method"
            name: "method"
            widget: "string"
            default: "POST"
          - label: "Form Button Text"
            name: "button_text"
            widget: "string"
            default: "Request More Information"
          - label: "Fields"
            name: "fields"
            widget: "list"
            fields:
              - label: "Label"
                name: "label"
                widget: "string"
              - label: "Type"
                name: "type"
                widget: "string"
              - label: "Field Name"
                name: "name"
                widget: "string"
              - label: "Field ID"
                name: "id"
                widget: "string"
              - label: "Required"
                name: "required"
                widget: "boolean"
                default: true
              - label: "Placeholder"
                name: "placeholder"
                widget: "string"
                required: false
              - label: "Options"
                name: "options"
                widget: "list"
                required: false
                hint: "For select type forms only"
                fields:
                  - label: "Text"
                    name: "text"
                    widget: "string"
                  - label: "Value"
                    name: "value"
                    widget: "string"
                    required: false
                  - label: "Disabled"
                    name: "disabled"
                    widget: "boolean"
                    required: false
                  - label: "Selected"
                    name: "selected"
                    widget: "boolean"
                    required: false
      - label: "Hero"
        name: "hero"
        widget: "object"
        fields:
          - label: "Header"
            name: "header"
            widget: "string"
          - label: "Caption"
            name: "caption"
            widget: "string"
          - label: "CTA"
            name: "cta"
            widget: "object"
            fields:
              - label: "Label"
                name: "label"
                widget: "string"
              - label: "Link"
                name: "link"
                widget: "string"
          - label: "Image"
            name: "image"
            widget: "image"
          - label: "Banner"
            name: "banner"
            widget: "text"
      - label: "Letter"
        name: "letter"
        widget: "object"
        fields:
          - label: "Header"
            name: "header"
            widget: "string"
          - label: "Body"
            name: "body"
            widget: "markdown"
          - label: "Banner"
            name: "banner"
            widget: "object"
            fields:
              - label: "Header"
                name: "header"
                widget: "string"
              - label: "CTA"
                name: "cta"
                widget: "object"
                fields:
                  - label: "Label"
                    name: "label"
                    widget: "string"
                  - label: "Link"
                    name: "link"
                    widget: "string"
                  - label: "Info"
                    name: "info"
                    widget: "string"
      - label: "Features"
        name: "features"
        widget: "list"
        fields:
          - label: "Header"
            name: "header"
            widget: "string"
          - label: "Caption"
            name: "caption"
            widget: "string"
          - label: "CTA"
            name: "cta"
            widget: "object"
            fields:
              - label: "Label"
                name: "label"
                widget: "string"
              - label: "Link"
                name: "link"
                widget: "string"
          - label: "Image"
            name: "image"
            widget: "image"
          - label: "Alt Text"
            name: "alt_text"
            widget: "string"
      - label: "Packages"
        name: "packages"
        widget: "object"
        fields:
          - label: "Header"
            name: "header"
            widget: "string"
          - label: "Caption"
            name: "caption"
            widget: "string"
          - label: "Features"
            name: "features"
            widget: "list"
            fields:
              - label: "Image"
                name: "image"
                widget: "image"
              - label: "Alt Text"
                name: "alt_text"
                widget: "string"
              - label: "Label"
                name: "label"
                widget: "string"
          - label: "Banner"
            name: "banner"
            widget: "string"
      - label: "Amenities"
        name: "amenities"
        widget: "object"
        fields:
          - label: "Header"
            name: "header"
            widget: "string"
          - label: "Caption"
            name: "caption"
            widget: "string"
          - label: "Items"
            name: "items"
            widget: "list"
            fields:
              - label: "Header"
                name: "header"
                widget: "string"
              - label: "Description"
                name: "description"
                widget: "string"
              - label: "Image"
                name: "image"
                widget: "image"
              - label: "Alt Text"
                name: "alt_text"
                widget: "string"
      - label: "Commutes"
        name: "commutes"
        widget: "object"
        fields:
          - label: "Header"
            name: "header"
            widget: "string"
          - label: "Caption"
            name: "caption"
            widget: "markdown"
          - label: "Items"
            name: "items"
            widget: "list"
            fields:
              - label: "Title"
                name: "title"
                widget: "string"
              - label: "Origin"
                name: "origin"
                widget: "string"
              - label: "Travel Time"
                name: "travel_time"
                widget: "string"
              - label: "Commute Type"
                name: "commute_type"
                widget: "string"
              - label: "Destination"
                name: "destination"
                widget: "string"
              - label: "Icon"
                name: "icon"
                widget: "image"
              - label: "Pin Icon"
                name: "pin_icon"
                widget: "image"
      - label: "Map"
        name: "map"
        widget: "object"
        fields:
          - label: "Header"
            name: "header"
            widget: "string"
          - label: "Caption"
            name: "caption"
            widget: "string"
          - label: "Office Image"
            name: "image"
            widget: "image"
          - label: "Address"
            name: "address"
            widget: "string"
      - label: "Products"
        name: "products"
        widget: "object"
        fields:
          - label: "Header"
            name: "header"
            widget: "string"
          - label: "Caption"
            name: "caption"
            widget: "markdown"
          - label: "Items"
            name: "items"
            widget: "list"
            fields:
              - label: "Name"
                name: "name"
                widget: "string"
              - label: "Image"
                name: "image"
                widget: "image"
              - label: "Alt Text"
                name: "alt_text"
                widget: "string"
              - label: "Description"
                name: "description"
                widget: "markdown"
              - label: "Features"
                name: "features"
                widget: "list"
                fields:
                  - label: "Feature"
                    name: "feature"
                    widget: "string"
              - label: "Price"
                name: "price"
                widget: "string"
              - label: "CTA"
                name: "cta"
                widget: "object"
                fields:
                  - label: "Label"
                    name: "label"
                    widget: "string"
                  - label: "Link"
                    name: "link"
                    widget: "string"
          - label: "Banner"
            name: "banner"
            widget: "string"
      - label: "Footer"
        name: "footer"
        widget: "object"
        fields:
          - label: "Banner"
            name: "banner"
            widget: "object"
            fields:
              - label: "Header"
                name: "header"
                widget: "string"
              - label: "CTA"
                name: "cta"
                widget: "object"
                fields:
                  - label: "Label"
                    name: "label"
                    widget: "string"
                  - label: "Link"
                    name: "link"
                    widget: "string"
                  - label: "Info"
                    name: "info"
                    widget: "string"

  # Forms
  - name: "Forms"
    label: "Forms"
    editor:
      preview: false
    files:
      - label: "Private Office Form"
        name: "private_office_form"
        file: "_data/forms/private-office-form.yml"
        fields:
          - label: "Form Name"
            name: "name"
            widget: "string"
            default: "Private Office Form"
          - label: "Title"
            name: "title"
            widget: "string"
            default: "Request More Information"
          - label: "Action"
            name: "action"
            widget: "string"
            default: "/success"
          - label: "Method"
            name: "method"
            widget: "string"
            default: "POST"
          - label: "ID"
            name: "id"
            widget: "string"
            default: "private-office-form"
          - label: "Fields"
            name: "fields"
            widget: "list"
            fields:
              - label: "Label"
                name: "label"
                widget: "string"
              - label: "Type"
                name: "type"
                widget: "string"
              - label: "Field Name"
                name: "name"
                widget: "string"
              - label: "Field ID"
                name: "id"
                widget: "string"
              - label: "Required"
                name: "required"
                widget: "boolean"
                default: true
              - label: "Placeholder"
                name: "placeholder"
                widget: "string"
                required: false
              - label: "Options"
                name: "options"
                widget: "list"
                required: false
                hint: "For select type forms only"
                fields:
                  - label: "Text"
                    name: "text"
                    widget: "string"
                  - label: "Value"
                    name: "value"
                    widget: "string"
                    required: false
                  - label: "Disabled"
                    name: "disabled"
                    widget: "boolean"
                    required: false
                  - label: "Selected"
                    name: "selected"
                    widget: "boolean"
                    required: false
              - label: "Column Span"
                name: "column_span"
                widget: "number"
                default: 1
                min: 1
                max: 2
                required: true
                hint: "Number of columns this field should span (1 or 2)"
          - label: "Form Button Text"
            name: "button_text"
            widget: "string"
            default: "Request More Information"
          - label: "Captcha"
            name: "captcha"
            widget: "object"
            fields:
              - {
                  label: "Enabled",
                  name: "enabled",
                  widget: "boolean",
                  default: true,
                }
              - { label: "Site Key", name: "sitekey", widget: "string" }

      - label: "Shared Office Form"
        name: "shared_office_form"
        file: "_data/forms/shared-office-form.yml"
        fields:
          - label: "Title"
            name: "title"
            widget: "string"
            default: "INQUIRE NOW"
          - label: "Action"
            name: "action"
            widget: "string"
            default: "/success/"
          - label: "Method"
            name: "method"
            widget: "string"
            default: "POST"
          - label: "ID"
            name: "id"
            widget: "string"
            default: "office-space-form"
          - label: "Fields"
            name: "fields"
            widget: "list"
            fields:
              - label: "Label"
                name: "label"
                widget: "string"
              - label: "Type"
                name: "type"
                widget: "string"
              - label: "Field Name"
                name: "name"
                widget: "string"
              - label: "Field ID"
                name: "id"
                widget: "string"
              - label: "Required"
                name: "required"
                widget: "boolean"
                default: true
              - label: "Placeholder"
                name: "placeholder"
                widget: "string"
                required: false
              - label: "Options"
                name: "options"
                widget: "list"
                required: false
                hint: "For select type forms only"
                fields:
                  - label: "Text"
                    name: "text"
                    widget: "string"
                  - label: "Value"
                    name: "value"
                    widget: "string"
                    required: false
                  - label: "Disabled"
                    name: "disabled"
                    widget: "boolean"
                    required: false
                  - label: "Selected"
                    name: "selected"
                    widget: "boolean"
                    required: false
              - label: "Column Span"
                name: "column_span"
                widget: "number"
                default: 1
                min: 1
                max: 2
                required: true
                hint: "Number of columns this field should span (1 or 2)"
          - label: "Form Button Text"
            name: "button_text"
            widget: "string"
            default: "Request More Information"
          - label: "Captcha"
            name: "captcha"
            widget: "object"
            fields:
              - {
                  label: "Enabled",
                  name: "enabled",
                  widget: "boolean",
                  default: true,
                }
              - { label: "Site Key", name: "sitekey", widget: "string" }

      - label: "Virtual Office Form"
        name: "virtual_office_form"
        file: "_data/forms/virtual-office-form.yml"
        fields:
          - label: "Title"
            name: "title"
            widget: "string"
            default: "REGISTRATION FORM"
          - label: "Action"
            name: "action"
            widget: "string"
            default: "/success/"
          - label: "Method"
            name: "method"
            widget: "string"
            default: "POST"
          - label: "ID"
            name: "id"
            widget: "string"
            default: "vo-signup-form"
          - label: "Fields"
            name: "fields"
            widget: "list"
            fields:
              - label: "Label"
                name: "label"
                widget: "string"
              - label: "Type"
                name: "type"
                widget: "string"
              - label: "Field Name"
                name: "name"
                widget: "string"
              - label: "Field ID"
                name: "id"
                widget: "string"
              - label: "Required"
                name: "required"
                widget: "boolean"
                default: true
              - label: "Placeholder"
                name: "placeholder"
                widget: "string"
                required: false
              - label: "Options"
                name: "options"
                widget: "list"
                required: false
                hint: "For select type forms only"
                fields:
                  - label: "Text"
                    name: "text"
                    widget: "string"
                  - label: "Value"
                    name: "value"
                    widget: "string"
                    required: false
                  - label: "Disabled"
                    name: "disabled"
                    widget: "boolean"
                    required: false
                  - label: "Selected"
                    name: "selected"
                    widget: "boolean"
                    required: false
              - label: "Column Span"
                name: "column_span"
                widget: "number"
                default: 1
                min: 1
                max: 2
                required: true
                hint: "Number of columns this field should span (1 or 2)"
          - label: "Form Button Text"
            name: "button_text"
            widget: "string"
            default: "SUBMIT"
          - label: "Registration Steps Section"
            name: "registration_steps"
            widget: "object"
            fields:
              - label: "Title"
                name: "title"
                widget: "string"
                default: "GET A PROFESSIONAL BUSINESS ADDRESS"
              - label: "Description"
                name: "description"
                widget: "markdown"
                default: "It is super easy to use our office address for your business address registration."
              - label: "Help Text"
                name: "help_text"
                widget: "string"
                default: "We're here to help"
              - label: "Chat Link"
                name: "chat_link"
                widget: "string"
                default: "https://m.me/incub8space"
              - label: "Chat Text"
                name: "chat_text"
                widget: "string"
                default: "Chat with us"
      - label: "Contact Us Form"
        name: "contact_us_form"
        file: "_data/forms/contact-us-form.yml"
        fields:
          - label: "Title"
            name: "title"
            widget: "string"
            default: "Tell us your question"
          - label: "Action"
            name: "action"
            widget: "string"
            default: "/success/"
          - label: "Method"
            name: "method"
            widget: "string"
            default: "POST"
          - label: "ID"
            name: "id"
            widget: "string"
            default: "contact-form"
          - label: "Fields"
            name: "fields"
            widget: "object"
            fields:
              - label: "Full Name Field"
                name: "fullname"
                widget: "object"
                fields:
                  - label: "Label"
                    name: "label"
                    widget: "string"
                    default: "FULL NAME"
                  - label: "Type"
                    name: "type"
                    widget: "string"
                    default: "text"
                  - label: "Field Name"
                    name: "name"
                    widget: "string"
                    default: "name"
                  - label: "Field ID"
                    name: "id"
                    widget: "string"
                    default: "name"
                  - label: "Required"
                    name: "required"
                    widget: "boolean"
                    default: true
                  - label: "Placeholder"
                    name: "placeholder"
                    widget: "string"
                    default: "Enter your full name"
              - label: "Email Field"
                name: "email"
                widget: "object"
                fields:
                  - label: "Label"
                    name: "label"
                    widget: "string"
                    default: "EMAIL ADDRESS"
                  - label: "Type"
                    name: "type"
                    widget: "string"
                    default: "email"
                  - label: "Field Name"
                    name: "name"
                    widget: "string"
                    default: "email"
                  - label: "Field ID"
                    name: "id"
                    widget: "string"
                    default: "email"
                  - label: "Required"
                    name: "required"
                    widget: "boolean"
                    default: true
                  - label: "Placeholder"
                    name: "placeholder"
                    widget: "string"
                    default: "Enter your email address"
              - label: "Phone Field"
                name: "phone"
                widget: "object"
                fields:
                  - label: "Label"
                    name: "label"
                    widget: "string"
                    default: "CONTACT NUMBER"
                  - label: "Type"
                    name: "type"
                    widget: "string"
                    default: "text"
                  - label: "Field Name"
                    name: "name"
                    widget: "string"
                    default: "phoneNumber"
                  - label: "Field ID"
                    name: "id"
                    widget: "string"
                    default: "phoneNumber"
                  - label: "Required"
                    name: "required"
                    widget: "boolean"
                    default: true
                  - label: "Placeholder"
                    name: "placeholder"
                    widget: "string"
                    default: "Enter your contact number"
              - label: "Message Field"
                name: "message"
                widget: "object"
                fields:
                  - label: "Label"
                    name: "label"
                    widget: "string"
                    default: "YOUR MESSAGE"
                  - label: "Type"
                    name: "type"
                    widget: "string"
                    default: "textarea"
                  - label: "Field Name"
                    name: "name"
                    widget: "string"
                    default: "message"
                  - label: "Field ID"
                    name: "id"
                    widget: "string"
                    default: "message"
                  - label: "Rows"
                    name: "rows"
                    widget: "number"
                    default: 2
                  - label: "Required"
                    name: "required"
                    widget: "boolean"
                    default: true
                  - label: "Placeholder"
                    name: "placeholder"
                    widget: "string"
                    default: "What's your question or concern?"
          - label: "Form Button Text"
            name: "button_text"
            widget: "string"
            default: "SUBMIT"

      - label: "Meeting Room Form"
        name: "meeting_room_form"
        file: "_data/forms/meeting-room-form.yml"
        fields:
          - label: "Title"
            name: "title"
            widget: "string"
            default: "RESERVE YOUR CONFERENCE ROOM"
          - label: "Action"
            name: "action"
            widget: "string"
            default: "/success/"
          - label: "Method"
            name: "method"
            widget: "string"
            default: "POST"
          - label: "ID"
            name: "id"
            widget: "string"
            default: "meeting-form"
          - label: "Fields"
            name: "fields"
            widget: "object"
            fields:
              - label: "Name Field"
                name: "name"
                widget: "object"
                fields:
                  - label: "Label"
                    name: "label"
                    widget: "string"
                    default: "NAME"
                  - label: "Type"
                    name: "type"
                    widget: "string"
                    default: "text"
                  - label: "Field Name"
                    name: "name"
                    widget: "string"
                    default: "Name"
                  - label: "Field ID"
                    name: "id"
                    widget: "string"
                    default: "vo-signup-name"
                  - label: "Required"
                    name: "required"
                    widget: "boolean"
                    default: true
                  - label: "Placeholder"
                    name: "placeholder"
                    widget: "string"
                    default: "Your name please"
              - label: "Email Field"
                name: "email"
                widget: "object"
                fields:
                  - label: "Label"
                    name: "label"
                    widget: "string"
                    default: "EMAIL ADDRESS"
                  - label: "Type"
                    name: "type"
                    widget: "string"
                    default: "email"
                  - label: "Field Name"
                    name: "name"
                    widget: "string"
                    default: "Email"
                  - label: "Field ID"
                    name: "id"
                    widget: "string"
                    default: "vo-signup-email"
                  - label: "Required"
                    name: "required"
                    widget: "boolean"
                    default: true
                  - label: "Placeholder"
                    name: "placeholder"
                    widget: "string"
                    default: "Your email address"
              - label: "Phone Field"
                name: "phone"
                widget: "object"
                fields:
                  - label: "Label"
                    name: "label"
                    widget: "string"
                    default: "PHONE NUMBER"
                  - label: "Type"
                    name: "type"
                    widget: "string"
                    default: "text"
                  - label: "Field Name"
                    name: "name"
                    widget: "string"
                    default: "Phone"
                  - label: "Field ID"
                    name: "id"
                    widget: "string"
                    default: "vo-signup-phone"
                  - label: "Required"
                    name: "required"
                    widget: "boolean"
                    default: true
                  - label: "Placeholder"
                    name: "placeholder"
                    widget: "string"
                    default: "Your phone number"
              - label: "Attendees Field"
                name: "attendees"
                widget: "object"
                fields:
                  - label: "Label"
                    name: "label"
                    widget: "string"
                    default: "HOW MANY ATTENDEES?"
                  - label: "Type"
                    name: "type"
                    widget: "string"
                    default: "text"
                  - label: "Field Name"
                    name: "name"
                    widget: "string"
                    default: "Attendees"
                  - label: "Field ID"
                    name: "id"
                    widget: "string"
                    default: "Attendees"
                  - label: "Required"
                    name: "required"
                    widget: "boolean"
                    default: true
                  - label: "Placeholder"
                    name: "placeholder"
                    widget: "string"
                    default: "How many attendees for your event"
              - label: "Total Hours Field"
                name: "total_hours"
                widget: "object"
                fields:
                  - label: "Label"
                    name: "label"
                    widget: "string"
                    default: "HOW MANY HOURS"
                  - label: "Type"
                    name: "type"
                    widget: "string"
                    default: "text"
                  - label: "Field Name"
                    name: "name"
                    widget: "string"
                    default: "Total-Hours"
                  - label: "Field ID"
                    name: "id"
                    widget: "string"
                    default: "Total-Hours"
                  - label: "Required"
                    name: "required"
                    widget: "boolean"
                    default: true
                  - label: "Placeholder"
                    name: "placeholder"
                    widget: "string"
                    default: "How many hours do you need?"
              - label: "Month Field"
                name: "month"
                widget: "object"
                fields:
                  - label: "Label"
                    name: "label"
                    widget: "string"
                    default: "MONTH"
                  - label: "Type"
                    name: "type"
                    widget: "string"
                    default: "select"
                  - label: "Field Name"
                    name: "name"
                    widget: "string"
                    default: "Month"
                  - label: "Field ID"
                    name: "id"
                    widget: "string"
                    default: "Month"
                  - label: "Required"
                    name: "required"
                    widget: "boolean"
                    default: true
              - label: "Day Field"
                name: "day"
                widget: "object"
                fields:
                  - label: "Label"
                    name: "label"
                    widget: "string"
                    default: "DAY"
                  - label: "Type"
                    name: "type"
                    widget: "string"
                    default: "number"
                  - label: "Field Name"
                    name: "name"
                    widget: "string"
                    default: "Day"
                  - label: "Field ID"
                    name: "id"
                    widget: "string"
                    default: "Day"
                  - label: "Required"
                    name: "required"
                    widget: "boolean"
                    default: true
                  - label: "Placeholder"
                    name: "placeholder"
                    widget: "string"
                    default: "Type day of month (e.g. 10)"
              - label: "Hour Field"
                name: "hour"
                widget: "object"
                fields:
                  - label: "Label"
                    name: "label"
                    widget: "string"
                    default: "HOUR"
                  - label: "Type"
                    name: "type"
                    widget: "string"
                    default: "text"
                  - label: "Field Name"
                    name: "name"
                    widget: "string"
                    default: "Hour"
                  - label: "Field ID"
                    name: "id"
                    widget: "string"
                    default: "Hour"
                  - label: "Required"
                    name: "required"
                    widget: "boolean"
                    default: true
                  - label: "Placeholder"
                    name: "placeholder"
                    widget: "string"
                    default: "Type hour of day (e.g. 7:30)"
              - label: "Location Field"
                name: "location"
                widget: "object"
                fields:
                  - label: "Label"
                    name: "label"
                    widget: "string"
                    default: "WHICH LOCATION DO YOU PREFER?"
                  - label: "Type"
                    name: "type"
                    widget: "string"
                    default: "select"
                  - label: "Field Name"
                    name: "name"
                    widget: "string"
                    default: "Location"
                  - label: "Field ID"
                    name: "id"
                    widget: "string"
                    default: "Location"
                  - label: "Required"
                    name: "required"
                    widget: "boolean"
                    default: true
              - label: "Captcha Field"
                name: "captcha"
                widget: "object"
                fields:
                  - label: "Label"
                    name: "label"
                    widget: "string"
                    default: "CAPTCHA"
                  - label: "Type"
                    name: "type"
                    widget: "string"
                    default: "captcha"
                  - label: "Field Name"
                    name: "name"
                    widget: "string"
                    default: "Captcha"
                  - label: "Field ID"
                    name: "id"
                    widget: "string"
                    default: "Captcha"
          - label: "Form Button Text"
            name: "button_text"
            widget: "string"
            default: "Submit"

  # Ebooks
  - name: "E-Books"
    label: "E-Books"
    folder: "_e-books"
    sort: "title:asc"
    create: true
    slug: "{{slug}}"
    fields:
      - label: "Layout"
        name: "layout"
        widget: "hidden"
        default: "e-book"
      - label: "Permalink"
        name: "permalink"
        widget: "string"
        default: "/e-books/"
        required: true
      - label: "Slug"
        name: "slug"
        widget: "string"
        required: true
      - label: "Category"
        name: "category"
        widget: "string"
        required: true
      - label: "Title"
        name: "title"
        widget: "string"
        required: true
      - label: "Main Heading"
        name: "main_heading"
        widget: "string"
        required: true
      - label: "Sub Text"
        name: "sub_text"
        widget: "string"
        required: false
      - label: "Bullet Points"
        name: "bullet_points"
        widget: "list"
        fields:
          - label: "Bullet Point"
            name: "bullet_point"
            widget: "string"
      - label: "Call to Action"
        name: "call-to-action"
        widget: "object"
        fields:
          - label: "Heading"
            name: "heading"
            widget: "string"
          - label: "Full Name"
            name: "fullname"
            widget: "string"
          - label: "Email"
            name: "email"
            widget: "string"
          - label: "Button Text"
            name: "button_text"
            widget: "string"
          - label: "Button Link"
            name: "button_link"
            widget: "string"
      - label: "Meta"
        name: "meta"
        widget: "object"
        fields:
          - label: "Title"
            name: "title"
            widget: "string"
          - label: "Description"
            name: "description"
            widget: "string"
          - label: "Image"
            name: "image"
            widget: "image"

  # Contents
  - name: "Contents"
    label: "Contents"
    folder: "_contents"
    sort: "title:asc"
    create: true
    slug: "{{slug}}"
    fields:
      - label: "Layout"
        name: "layout"
        widget: "hidden"
        default: "content"
      - label: "Title"
        name: "title"
        widget: "string"
        required: true
      - label: "Permalink"
        name: "permalink"
        widget: "string"
        default: "/contents/"
        required: true
      - label: "Slug"
        name: "slug"
        widget: "string"
        required: true
      - label: "Header"
        name: "header"
        widget: "object"
        fields:
          - label: "Image"
            name: "image"
            widget: "image"
          - label: "Title"
            name: "title"
            widget: "string"
          - label: "Last Updated"
            name: "last_updated"
            widget: "string"
      - label: "Call to Action"
        name: "call-to-action"
        widget: "object"
        fields:
          - label: "Form ID"
            name: "form_id"
            widget: "string"
            required: true
          - label: "Form Name"
            name: "form_name"
            widget: "string"
            required: true
          - label: "Sub Text"
            name: "sub_text"
            widget: "string"
            default: "Enter the sub text"
          - label: "Main Text"
            name: "main_text"
            widget: "string"
            default: "Enter the main text"
          - label: "Inputs"
            name: "inputs"
            widget: "list"
            fields:
              - { name: "name", label: "Field Name", widget: "string" }
              - { name: "type", label: "Field Type", widget: "string" }
              - { name: "placeholder", label: "Placeholder", widget: "string" }
          - label: "Button"
            name: "button"
            widget: "object"
            fields:
              - label: "Text"
                name: "text"
                widget: "string"
                default: "Default Button Text"
              - label: "Link"
                name: "link"
                widget: "string"
                default: "Default Button Link"
      - label: "Meta"
        name: "meta"
        widget: "object"
        fields:
          - label: "Title"
            name: "title"
            widget: "string"
          - label: "Description"
            name: "description"
            widget: "string"
          - label: "Image"
            name: "image"
            widget: "image"
      - label: "Content"
        name: "main_content"
        widget: "markdown"
      - label: "Conversion Tracking"
        name: "conversion_tracking"
        widget: "list"
        fields:
          - label: "Identifier"
            name: "identifier"
            widget: "string"
            required: true
          - label: "Tracking Code"
            name: "tracking_code"
            widget: "string"
            required: false
  # Blogs
  - name: "Blogs"
    label: "Blogs"
    folder: "_blogs"
    sort: "date:desc" # Sort by date in ascending order
    create: true
    slug: "{{slug}}"
    fields:
      - label: "Layout"
        name: "layout"
        widget: "hidden"
        default: "blog"
      - label: "Title"
        name: "title"
        widget: "string"
        required: true
      - label: "Permalink"
        name: "permalink"
        widget: "string"
        default: "/blog_posts/"
      - label: "Slug"
        name: "slug"
        widget: "string"
        default: ""
      - label: "Image"
        name: "image"
        widget: "image"
        default: ""
      - label: "Description"
        name: "description"
        widget: "text"
        required: true
      - label: "Author"
        name: "author"
        widget: "string"
        required: true
      - label: "Date"
        name: "date"
        widget: "datetime" # Adds date automatically
        required: true
        default: "now" # Automatically sets to the current date and time
      - label: "Call to Action"
        name: "call-to-action"
        widget: "object"
        fields:
          - label: "Form ID"
            name: "form_id"
            widget: "string"
            required: true
          - label: "Form Name"
            name: "form_name"
            widget: "string"
            required: true
          - label: "Title"
            name: "title"
            widget: "string"
          - label: "Inputs"
            name: "inputs"
            widget: "list"
            fields:
              - label: "Placeholder"
                name: "placeholder"
                widget: "string"
              - label: "Type"
                name: "type"
                widget: "string"
                default: "text"
              - label: "Name"
                name: "name"
                widget: "string"
              - label: "Required"
                name: "required"
                widget: "boolean"
                required: false
              - label: "Options"
                required: false
                hint: "For select type forms only"
                name: "options"
                widget: "list"
                fields:
                  - label: "Text"
                    name: "text"
                    widget: "string"
                  - label: "Value"
                    name: "value"
                    widget: "string"
          - label: "Button"
            name: "button"
            widget: "object"
            fields:
              - label: "Text"
                name: "label"
                widget: "string"
              - label: "Link"
                name: "url"
                widget: "string"
                default: "/success/"
      - label: "Meta"
        name: "meta"
        widget: "object"
        fields:
          - label: "Title"
            name: "title"
            widget: "string"
          - label: "Description"
            name: "description"
            widget: "string"
          - label: "Image"
            name: "image"
            widget: "image"
      - label: "Content"
        name: "main_content"
        widget: "markdown"

  # Pages
  - name: pages
    label: Pages
    editor:
      preview: false
    files:
      - label: "Home"
        name: "home"
        file: "_data/contents/home.yml"
        fields:
          - label: "Hero Section"
            name: "hero"
            widget: "object"
            fields:
              - label: "Title"
                name: "title"
                widget: "string"
                required: true
              - label: "Description"
                name: "description"
                widget: "text"
                required: true
              - label: "Hero Image"
                name: "image"
                widget: "image"
                required: true
              - label: "Button Label"
                name: "button-label"
                widget: "string"
                required: true
              - label: "Button Link"
                name: "button-link"
                widget: "string"
                required: true
          - label: "Feature"
            name: "feature"
            widget: "object"
            fields:
              - label: "Feature Image"
                name: "image"
                widget: "image"
              - label: "Feature Title"
                name: "title"
                widget: "string"
                required: true
              - label: "Feature Description"
                name: "description"
                widget: "markdown"
              - label: "Feature Button Label"
                name: "button-label"
                widget: "string"
              - label: "Feature Button Link"
                name: "button-link"
                widget: "string"
          - label: "Content"
            name: "content"
            widget: "object"
            fields:
              - label: "Title"
                name: "title"
                widget: "string"
              - label: "Spaces"
                name: "spaces"
                widget: "list"
                fields:
                  - label: "Title"
                    name: "title"
                    widget: "string"
                  - label: "Description"
                    name: "description"
                    widget: "text"
                  - label: "Image"
                    name: "image"
                    widget: "image"
                  - label: "Call to Action"
                    name: "call-to-action"
                    widget: "string"
                  - label: "URL"
                    name: "url"
                    widget: "string"
          - label: "Meta"
            name: "meta"
            widget: "object"
            fields:
              - label: "Meta Title"
                name: "title"
                widget: "string"
              - label: "Meta Description"
                name: "description"
                widget: "text"
              - label: "Meta Image"
                name: "image"
                widget: "image"
              - label: "Meta Type"
                name: "type"
                widget: "string"
      - label: "Footer"
        name: "footer"
        file: "_data/contents/footer.yml"
        fields:
          - label: "Title"
            name: "title"
            widget: "string"
            required: true
          - label: "Description"
            name: "description"
            widget: "text"
            required: true
          - label: "Button Label"
            name: "button-label"
            widget: "string"
            required: true
          - label: "Button Link"
            name: "button-link"
            widget: "string"
            required: true
          - label: "Copyright"
            name: "copyright"
            widget: "object"
            fields:
              - label: "Year"
                name: "year"
                widget: "number"
                required: true
              - label: "Company"
                name: "company"
                widget: "string"
                required: true
      - label: "Fuel"
        name: "fuelsection"
        file: "_data/contents/fuel.yml"
        fields:
          - label: "Call To Action"
            name: "call-to-action"
            widget: "object"
            fields:
              - label: "Title"
                name: "title"
                widget: "string"
                required: true
              - label: "Caption"
                name: "caption"
                widget: "text"
                required: true

      - label: "Private Office"
        name: "private_office"
        file: "_data/contents/private-office.yml"
        fields:
          - label: "Meta"
            name: "meta"
            widget: "object"
            fields:
              - { label: "Meta Title", name: "title", widget: "string" }
              - {
                  label: "Meta Description",
                  name: "description",
                  widget: "text",
                }
              - { label: "Meta Image", name: "image", widget: "image" }

          - label: "Header"
            name: "header"
            widget: "object"
            fields:
              - {
                  label: "Title",
                  name: "title",
                  widget: "string",
                  required: true,
                }
              - {
                  label: "Subtitle",
                  name: "subtitle",
                  widget: "text",
                  required: true,
                }
              - label: "Call to Action"
                name: "cta"
                widget: "object"
                fields:
                  - { label: "Label", name: "label", widget: "string" }
                  - { label: "URL", name: "url", widget: "string" }
              - label: "Slider"
                name: "slider"
                widget: "object"
                fields:
                  - label: "Images"
                    name: "images"
                    widget: "list"
                    fields:
                      - { label: "Image", name: "src", widget: "image" }
                      - { label: "Alt Text", name: "alt", widget: "string" }

          - label: "Headline"
            name: "headline"
            widget: "object"
            fields:
              - { label: "Title", name: "title", widget: "text" }
              - { label: "Background", name: "background", widget: "string" }

          - label: "Content"
            name: "content"
            widget: "object"
            fields:
              - {
                  label: "Last Updated",
                  name: "last_updated",
                  widget: "string",
                }
              - { label: "Content", name: "content", widget: "markdown" }

          - label: "Amenities"
            name: "amenities"
            widget: "object"
            fields:
              - label: "Title"
                name: "title"
                widget: "string"
                required: true
              - label: "Subtitle"
                name: "subtitle"
                widget: "text"
                required: true
              - label: "Amenities List"
                name: "amenities"
                widget: "list"
                fields:
                  - label: "Title"
                    name: "title"
                    widget: "string"
                    required: true
                  - label: "Image"
                    name: "image"
                    widget: "image"
                    required: true
                  - label: "Description"
                    name: "description"
                    widget: "text"
                    required: true

          - label: "Featured"
            name: "featured"
            widget: "object"
            fields:
              - label: "Features"
                name: "features"
                widget: "list"
                fields:
                  - { label: "ID", name: "id", widget: "string" }
                  - { label: "Title", name: "title", widget: "string" }
                  - {
                      label: "Description",
                      name: "description",
                      widget: "text",
                    }
                  - { label: "Image", name: "image", widget: "image" }
                  - label: "Call to Action"
                    name: "call-to-action"
                    widget: "object"
                    fields:
                      - { label: "Label", name: "label", widget: "string" }
                      - { label: "URL", name: "url", widget: "string" }

          - label: "Companies"
            name: "companies"
            widget: "object"
            fields:
              - label: "ID"
                name: "id"
                widget: "string"
                default: "companies"
              - label: "Title"
                name: "title"
                widget: "string"
              - label: "Subtitle"
                name: "subtitle"
                widget: "text"
              - label: "Companies List"
                name: "companies"
                widget: "list"
                fields:
                  - label: "Image"
                    name: "src"
                    widget: "image"
                  - label: "Alt Text"
                    name: "alt"
                    widget: "string"

          - label: "Reviews"
            name: "reviews"
            widget: "object"
            fields:
              - { label: "ID", name: "id", widget: "string" }
              - { label: "Title", name: "title", widget: "string" }
              - { label: "Subtitle", name: "subtitle", widget: "text" }
              - label: "Testimonials"
                name: "testimonials"
                widget: "list"
                fields:
                  - {
                      label: "Name",
                      name: "name",
                      widget: "string",
                      required: true,
                    }
                  - {
                      label: "Image",
                      name: "image",
                      widget: "image",
                      required: true,
                    }
                  - {
                      label: "Date",
                      name: "date",
                      widget: "string",
                      required: true,
                    }
                  - {
                      label: "Rating",
                      name: "rating",
                      widget: "number",
                      required: true,
                    }
                  - {
                      label: "Text",
                      name: "text",
                      widget: "text",
                      required: true,
                    }
                  - label: "Logo"
                    name: "logo"
                    widget: "object"
                    fields:
                      - { label: "Source", name: "src", widget: "image" }
                      - { label: "Alt Text", name: "alt", widget: "string" }

          - label: "Help Section"
            name: "help"
            widget: "object"
            fields:
              - { label: "Title", name: "title", widget: "string" }
              - { label: "Description", name: "description", widget: "text" }
              - label: "Call to Action"
                name: "call-to-action"
                widget: "object"
                fields:
                  - { label: "Label", name: "label", widget: "string" }
                  - { label: "URL", name: "url", widget: "string" }

          - label: "Forms"
            name: "forms"
            widget: "object"
            fields:
              - label: "Contact Form"
                name: "contact"
                widget: "object"
                fields:
                  - label: "Fields"
                    name: "fields"
                    widget: "list"
                    fields:
                      - { label: "Label", name: "label", widget: "string" }
                      - { label: "Type", name: "type", widget: "string" }
                      - {
                          label: "Required",
                          name: "required",
                          widget: "boolean",
                        }
                      - {
                          label: "Placeholder",
                          name: "placeholder",
                          widget: "string",
                        }
                      - label: "Options"
                        name: "options"
                        widget: "list"
                        required: false
                        fields:
                          - { label: "Label", name: "label", widget: "string" }
                          - { label: "Value", name: "value", widget: "string" }

      - label: "Shared Office"
        name: "shared_office"
        file: "_data/contents/shared-office.yml"
        fields:
          - label: "Hero Section"
            name: "hero"
            widget: "object"
            fields:
              - label: "Title"
                name: "title"
                widget: "string"
                required: true
              - label: "Caption"
                name: "caption"
                widget: "text"
                required: true
              - label: "Hero Image"
                name: "image"
                widget: "image"
                required: true
              - label: "Button"
                name: "button"
                widget: "object"
                fields:
                  - label: "Button Label"
                    name: "label"
                    widget: "string"
                    required: true
                  - label: "Button Link"
                    name: "url"
                    widget: "string"
                    required: true
          - label: "Headline"
            name: "headline"
            widget: "object"
            fields:
              - label: "Title"
                name: "title"
                widget: "string"
                required: true
          - label: "Help"
            name: "help"
            widget: "object"
            fields:
              - label: "Title"
                name: "title"
                widget: "string"
                required: true
              - label: "Description"
                name: "description"
                widget: "text"
                required: true
              - label: "Call to Action"
                name: "call-to-action"
                widget: "object"
                fields:
                  - label: "Label"
                    name: "label"
                    widget: "string"
                    required: true
                  - label: "URL"
                    name: "url"
                    widget: "string"
                    required: true
          - label: "Featured"
            name: "featured"
            widget: "object"
            fields:
              - label: "Features"
                name: "features"
                widget: "list"
                fields:
                  - label: "Title"
                    name: "title"
                    widget: "string"
                    required: true
                  - label: "Description"
                    name: "description"
                    widget: "text"
                    required: true
                  - label: "Image"
                    name: "image"
                    widget: "image"
                    required: true
                  - label: "ID"
                    name: "id"
                    widget: "string"
                    required: true
                  - label: "Call to Action"
                    name: "call-to-action"
                    widget: "object"
                    fields:
                      - label: "Label"
                        name: "label"
                        widget: "string"
                        required: true
                      - label: "URL"
                        name: "url"
                        widget: "string"
                        required: true
          - label: "Meta"
            name: "meta"
            widget: "object"
            fields:
              - label: "Meta Title"
                name: "title"
                widget: "string"
              - label: "Meta Description"
                name: "description"
                widget: "text"
              - label: "Meta Image"
                name: "image"
                widget: "image"
      - label: "Virtual Office"
        name: "virtual_office"
        file: "_data/contents/virtual-office.yml"
        fields:
          - label: "Hero Section"
            name: "hero"
            widget: "object"
            fields:
              - label: "Title"
                name: "title"
                widget: "string"
                required: true
              - label: "Description"
                name: "description"
                widget: "text"
                required: true
              - label: "Hero Image"
                name: "image"
                widget: "image"
                required: true
              - label: "Button"
                name: "button"
                widget: "object"
                fields:
                  - label: "Button Label"
                    name: "label"
                    widget: "string"
                    required: true
                  - label: "Button Link"
                    name: "url"
                    widget: "string"
                    required: true
              - label: "Slider"
                name: "slider"
                widget: "object"
                fields:
                  - label: "Images"
                    name: "images"
                    widget: "list"
                    fields:
                      - { label: "Image", name: "src", widget: "image" }
                      - { label: "Alt Text", name: "alt", widget: "string" }
          - label: "Headline"
            name: "headline"
            widget: "object"
            fields:
              - label: "Title"
                name: "title"
                widget: "string"
                required: true
          - label: "Featured"
            name: "featured"
            widget: "object"
            fields:
              - label: "Headline"
                name: "headline"
                widget: "string"
                required: true
              - label: "Features"
                name: "features"
                widget: "list"
                fields:
                  - label: "Title"
                    name: "title"
                    widget: "string"
                    required: true
                  - label: "Description"
                    name: "description"
                    widget: "text"
                    required: true
                  - label: "Image"
                    name: "image"
                    widget: "image"
                    required: true
                  - label: "ID"
                    name: "id"
                    widget: "string"
                    required: true
                  - label: "Call to Action"
                    name: "call-to-action"
                    widget: "object"
                    fields:
                      - label: "Label"
                        name: "label"
                        widget: "string"
                        required: true
                      - label: "URL"
                        name: "url"
                        widget: "string"
                        required: true

          - label: "Amenities"
            name: "amenities"
            widget: "object"
            fields:
              - label: "Title"
                name: "title"
                widget: "string"
                required: true
              - label: "Subtitle"
                name: "subtitle"
                widget: "text"
                required: true
              - label: "Amenities List"
                name: "amenities"
                widget: "list"
                fields:
                  - label: "Title"
                    name: "title"
                    widget: "string"
                    required: true
                  - label: "Image"
                    name: "image"
                    widget: "image"
                    required: true
                  - label: "Description"
                    name: "description"
                    widget: "text"
                    required: true

          - label: "Companies"
            name: "companies"
            widget: "object"
            fields:
              - label: "ID"
                name: "id"
                widget: "string"
                default: "companies"
              - label: "Title"
                name: "title"
                widget: "string"
              - label: "Subtitle"
                name: "subtitle"
                widget: "text"
              - label: "Companies List"
                name: "companies"
                widget: "list"
                fields:
                  - label: "Image"
                    name: "src"
                    widget: "image"
                  - label: "Alt Text"
                    name: "alt"
                    widget: "string"
          - label: "Call to Action"
            name: "call-to-action"
            widget: "object"
            fields:
              - label: "Title"
                name: "title"
                widget: "string"
              - label: "Caption"
                name: "caption"
                widget: "text"
              - label: "Button"
                name: "button"
                widget: "object"
                fields:
                  - label: "Button Label"
                    name: "label"
                    widget: "string"
                    required: true
                  - label: "Button Link"
                    name: "url"
                    widget: "string"
                    required: true
          - label: "FAQ"
            name: "faq"
            widget: "object"
            fields:
              - label: "Title"
                name: "title"
                widget: "string"
              - label: "FAQs"
                name: "faqs"
                widget: "list"
                fields:
                  - label: "Title"
                    name: "title"
                    widget: "string"
                  - label: "Description"
                    name: "description"
                    widget: "text"
          - label: "Meta"
            name: "meta"
            widget: "object"
            fields:
              - label: "Meta Title"
                name: "title"
                widget: "string"
              - label: "Meta Description"
                name: "description"
                widget: "text"
              - label: "Meta Image"
                name: "image"
                widget: "image"
              - label: "Meta Type"
                name: "type"
                widget: "string"
      - label: "Meeting Room"
        name: "meeting_room"
        file: "_data/contents/meeting-room.yml"
        fields:
          - label: "Hero Section"
            name: "hero"
            widget: "object"
            fields:
              - label: "Title"
                name: "title"
                widget: "string"
                required: true
              - label: "Description"
                name: "description"
                widget: "text"
                required: true
              - label: "Hero Image"
                name: "image"
                widget: "image"
                required: true
              - label: "Button"
                name: "button"
                widget: "object"
                fields:
                  - label: "Button Label"
                    name: "label"
                    widget: "string"
                    required: true
                  - label: "Button Link"
                    name: "url"
                    widget: "string"
                    required: true
          - label: "Headline"
            name: "headline"
            widget: "object"
            fields:
              - label: "Title"
                name: "title"
                widget: "string"
                required: true

          - label: "Featured"
            name: "featured"
            widget: "object"
            fields:
              - label: "Headline"
                name: "headline"
                widget: "string"
                required: true
              - label: "Features"
                name: "features"
                widget: "list"
                fields:
                  - label: "Title"
                    name: "title"
                    widget: "string"
                    required: true
                  - label: "Description"
                    name: "description"
                    widget: "text"
                    required: true
                  - label: "Image"
                    name: "image"
                    widget: "image"
                    required: true
                  - label: "ID"
                    name: "id"
                    widget: "string"
                    required: true
                  - label: "Call to Action"
                    name: "call-to-action"
                    widget: "object"
                    fields:
                      - label: "Label"
                        name: "label"
                        widget: "string"
                        required: true
                      - label: "URL"
                        name: "url"
                        widget: "string"
                        required: true
          - label: "Form"
            name: "form"
            widget: "object"
            fields:
              - label: "Help"
                name: "help"
                widget: "object"
                fields:
                  - label: "Title"
                    name: "title"
                    widget: "string"
                    required: true
                  - label: "Description"
                    name: "description"
                    widget: "text"
                    required: true
                  - label: "Call to Action"
                    name: "call-to-action"
                    widget: "object"
                    fields:
                      - label: "Call to Action Label"
                        name: "label"
                        widget: "string"
                        required: true
                      - label: "Call to Action URL"
                        name: "url"
                        widget: "string"
                        required: true
          - label: "Meta"
            name: "meta"
            widget: "object"
            fields:
              - label: "Meta Title"
                name: "title"
                widget: "string"
              - label: "Meta Description"
                name: "description"
                widget: "text"
              - label: "Meta Image"
                name: "image"
                widget: "image"
              - label: "Meta Type"
                name: "type"
                widget: "string"

      - label: "Error"
        name: "error"
        file: "_data/contents/error.yml"
        fields:
          - label: "Hero Section"
            name: "hero"
            widget: "object"
            fields:
              - label: "Title"
                name: "title"
                widget: "string"
                required: true
              - label: "Description"
                name: "description"
                widget: "text"
                required: true
              - label: "Hero Image"
                name: "image"
                widget: "image"
              - label: "Button"
                name: "button"
                widget: "object"
                fields:
                  - label: "Button Label"
                    name: "label"
                    widget: "string"
                    required: true
                  - label: "Button Link"
                    name: "url"
                    widget: "string"
                    required: true
          - label: "Meta"
            name: "meta"
            widget: "object"
            fields:
              - label: "Meta Title"
                name: "title"
                widget: "string"
              - label: "Meta Description"
                name: "description"
                widget: "text"
              - label: "Meta Image"
                name: "image"
                widget: "image"
      - label: "Success"
        name: "success"
        file: "_data/contents/success.yml"
        fields:
          - label: "Hero Section"
            name: "hero"
            widget: "object"
            fields:
              - label: "Title"
                name: "title"
                widget: "string"
                required: true
              - label: "Description"
                name: "description"
                widget: "text"
                required: true
              - label: "Hero Image"
                name: "image"
                widget: "image"
                required: true
              - label: "Button"
                name: "cta"
                widget: "object"
                fields:
                  - label: "Button Label"
                    name: "label"
                    widget: "string"
                    required: true
                  - label: "Button Link"
                    name: "target"
                    widget: "string"
                    required: true
          - label: "Meta"
            name: "meta"
            widget: "object"
            fields:
              - label: "Meta Title"
                name: "title"
                widget: "string"
              - label: "Meta Description"
                name: "description"
                widget: "text"
              - label: "Meta Image"
                name: "image"
                widget: "image"
      - label: "Privacy"
        name: "privacy"
        file: "_data/contents/privacy.yml"
        fields:
          - label: "Header"
            name: "header"
            widget: "string"
          - label: "Content"
            name: "content"
            widget: "markdown"

  - label: "Socials"
    name: "socials"
    editor:
      preview: false
    files:
      - label: "Social Accounts"
        name: "social_accounts"
        file: "_data/socials.yml"
        fields:
          - {
              label: "Accounts",
              name: "account",
              widget: "list",
              fields:
                [
                  { label: "Title", name: "title", widget: "string" },
                  { label: "URL", name: "url", widget: "string" },
                  { label: "Icon", name: "icon", widget: "image" },
                  { label: "Alt", name: "alt", widget: "string" },
                ],
            }
      - label: "Mailing Lists"
        name: "mailing_lists"
        file: "_data/mailing_lists.yml"
        widget: "object"
        fields:
          - { label: "Mailing List Name", name: "name", widget: "string" }
          - { label: "Description", name: "description", widget: "string" }
          - { label: "URL", name: "url", widget: "string" }
  - label: "Settings"
    name: "settings"
    editor:
      preview: false
    files:
      - label: "Site Settings"
        name: "site_settings"
        file: "_data/settings.yml"
        fields:
          - { label: "Logo", name: "logo", widget: "image" }
          - { label: "Phone", name: "phone", widget: "string" }
          - { label: "Title", name: "title", widget: "string" }
          - { label: "Favicon", name: "favicon", widget: "image" }
          - { label: "Company", name: "company", widget: "string" }
          - { label: "Address", name: "address", widget: "text" }
          - { label: "Email", name: "email", widget: "string" }
          - { label: "Working Hours", name: "working-hours", widget: "string" }
          - {
              label: "Meta Description",
              name: "meta_description",
              widget: "text",
            }
          - label: "Locations"
            name: "locations"
            widget: "list"
            fields:
              - { label: "Address", name: "address", widget: "string" }
          - label: "Dotfiles"
            name: "dotfiles"
            widget: "object"
            fields:
              - label: "Robots File"
                name: "robots"
                widget: "object"
                fields:
                  - { label: "Content", name: "content", widget: "text" }
                  - { label: "Filename", name: "filename", widget: "string" }
              - label: "Humans File"
                name: "humans"
                widget: "object"
                fields:
                  - { label: "Content", name: "content", widget: "text" }
                  - { label: "Filename", name: "filename", widget: "string" }
              - label: "Security File"
                name: "security"
                widget: "object"
                fields:
                  - { label: "Content", name: "content", widget: "text" }
                  - { label: "Filename", name: "filename", widget: "string" }
  - label: "Navigation"
    name: "navigation"
    editor:
      preview: false
    files:
      - label: "Main Menus"
        name: "main_menus"
        file: "_data/navigation.yml"
        fields:
          - label: "Main Menus"
            name: "main-menus"
            widget: "list"
            fields:
              - { label: "Title", name: "title", widget: "string" }
              - { label: "URL", name: "url", widget: "string" }
